.form_overlay {
    visibility: hidden;
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
}

.form_overlay.visible {
    visibility: visible;
}

.form_overlay_bg {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0.3;
    filter: alpha(opacity=30);
}

.form_panel {
    background-color: #fff;
    overflow-y: auto;
    padding: 0;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 40%;
    max-width: 580px;
    max-height: 90%;
    border-radius: 3px;
    box-shadow: 1px 1px 50px rgba(0, 0, 0, .3);
    box-sizing: border-box;
    opacity: 0;
    transition: 0.3s all;
}

.form_overlay.visible .form_panel {
    opacity: 1;
}

.form_panel.p50 {
    width: 50%;
    max-width: 50%;
}

.form_panel.p60 {
    width: 60%;
    max-width: 60%;
}

.form_panel.editor {
    width: 70%;
    max-width: 70%;
}

.form_panel.large-editor {
    width: 80%;
    max-width: 80%;
}

.form_panel.short {
    width: 30%;
    max-width: 30%;
}

.form_panel.dialog {
    width: 380px;
    min-width: 380px;
}

.form_panel.dialog.large {
    width: 50%;
    max-width: 50%;
}

.form_panel.xxl-editor {
    width: 90%;
    max-width: 90%;
}

.form_title {
    color: #333333;
    font-size: 14px;
    /* padding-left: 10px; */
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    padding: 0 20px;
    box-sizing: border-box;
    background: #fff;
    height: 52px;
    line-height: 52px;
    z-index: 1002;
    border-bottom: 1px solid #f0f0f0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.dialog .form_title {
    height: 40px;
    line-height: 40px;
    border-bottom: 0;
}

.overlay-close {
    position: absolute;
    right: 15px;
    top: 0;
    font-size: 14px;
    color: #666666;
    cursor: pointer;
    z-index: 1;
    font-weight: normal;
}

.overlay-close .iconfont {
    font-size: 14px;
    font-weight: normal;
    color: #333;
}

.overlay-close:hover .iconfont {
    color: #000;
}

.form_content {
    padding: 20px;
    box-sizing: border-box;
}

.form_control {
    text-align: center;
    padding: 20px 0 20px;
    position: sticky;
    bottom: 0;
    background: #fff;
    z-index: 999;
}

.form_control a {
    background: #0064c8;
    color: #fff;
    display: inline-block;
    height: 30px;
    line-height: 30px;
    margin: 0 10px;
    padding: 0 20px;
    border-radius: 3px;
    border: 1px solid #0064c8;
    font-size: 13px;
    user-select: none;
}

.form_control a .iconfont {
    font-size: 13px;
    margin-left: 10px;
    color: #fff;
}

.form_control a:hover {
    text-decoration: none;
    background: #004385;
    color: #fff;
}

.form_control .close {
    background: #fff;
    color: #333;
    border-color: #dedede;
    font-weight: normal;
    text-shadow: none;
}

.form_control .close:focus,
.form_control .close:hover {
    background: #f9f9f9;
    color: #333;
}

.form_control .disabled,
.form_control .disabled:focus,
.form_control .disabled:hover {
    background: #f9f9f9;
    color: #999;
    border-color: #dcdcdc;
    cursor: not-allowed;
}

.dialog .form_control .close {
    background: #fff;
    color: #3468f5;
}

.form_content .relative {
    position: relative;
}

.form_content form {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
    gap: 12px;
}

.form_content .search-form {
    flex-direction: row;
}

.form_content iframe {
    -webkit-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.form_content img {
    max-width: 100%;
}

.form_content .item {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 20px;
}

.require {
    color: #cc0000;
    margin-right: 5px;
    width: 6px;
    display: inline-block;
    margin-left: -11px;
}

.form_content .label {
    color: #666;
    display: block;
    width: 95px;
    flex-shrink: 0;
    font-size: 13px;
    font-weight: normal;
    text-align: left;
}

.form_content .item input[type="text"],
.form_content .item input[type="password"],
.form_content .item input[type="number"],
.form_content .item input[type="email"],
.form_content .item select,
.form_content .item textarea {
    vertical-align: middle;
    box-sizing: border-box;
    border-radius: 3px;
    border: 1px solid #eee;
    padding: 0 10px;
    /*width: calc(100% - 110px);*/
    width: 100%;
}

.form_content .item input[type="text"]:hover,
.form_content .item input[type="password"]:hover,
.form_content .item input[type="number"]:hover,
.form_content .item input[type="email"]:hover,
.form_content .item select:hover,
.form_content .item textarea:hover {
    border-color: #d2d2d2;
}

.form_content .item textarea {
    resize: vertical;
    height: 60px;
    max-height: 300px;
    padding: 10px;
}

.form_content .item input[type="text"],
.form_content .item input[type="password"],
.form_content .item input[type="number"],
.form_content .item input[type="email"],
.form_content .item select {
    height: 38px;
    line-height: 38px;
}

.form_content .item input[type="radio"],
.form_content .item input[type="checkbox"] {
    margin-right: 10px;
    margin-top: -3px !important;
    vertical-align: middle;
    width: 16px;
    height: 16px;
}

.form_content .item select {
    padding: 0 5px;
}

.layui-icon {
    position: absolute;
    right: 10px;
    top: 10px;
    color: #7a7a7a;
}

/*radio/checkbox start*/
.form_content .item .newRadio-checkbox {
    display: inline-block;
    border: 1px solid #eee;
    height: 36px;
    box-sizing: border-box;
    border-radius: 6px;
    overflow: hidden;
}

.form_content .item .newRadio-checkbox label {
    color: #333;
    position: relative;
    overflow: hidden;
    margin: 0;
    margin-right: -1px;
    border-right: 1px solid #eee;
}

.form_content .item .newRadio-checkbox label:last-child {
    border-right: 0;
}

.form_content .item .newRadio-checkbox label input {
    opacity: 0;
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    margin: 0;
    height: 100%;
}

.form_content .item .newRadio-checkbox label font {
    padding: 0 15px;
    /* line-height: 40px; */
    box-sizing: border-box;
    font-size: 13px;
    display: inline-block;
    vertical-align: top;
    min-width: 60px;
    text-align: center;
    line-height: 36px;
}

.form_content .item .newRadio-checkbox label input:checked+font {
    background-color: #0064c8;
    color: #fff;
}

.form_content .item .newCheckbox {
    display: flex;
    height: 75px;
    box-sizing: border-box;
    /*overflow: hidden;*/
    line-height: 1;
    gap: 10px;
}

.form_content .item .newCheckbox label {
    color: #333;
    position: relative;
    /*overflow: hidden;*/
    margin: 0;
    text-align: center;
}

.form_content .item .newCheckbox label input {
    opacity: 0;
    cursor: pointer;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    margin: 0;
    height: 100%;
}

.form_content .item .newCheckbox label font {
    padding: 0 15px;
    /* line-height: 40px; */
    box-sizing: border-box;
    font-size: 12px;
    display: inline-block;
    vertical-align: top;
    margin-top: 5px;
}

.form_content .item .newCheckbox label .img-box {
    width: 123px;
    height: 53px;
    border-radius: 10px;
    text-align: center;
    border: 1px solid #ddd;
    box-sizing: border-box;
}

.form_content .item .newCheckbox label .img-box img {
    max-width: 80px;
    max-height: 36px;
    transform: translateY(-50%);
    top: 50%;
    position: relative;
}

.form_content .item .newCheckbox label input:checked+.img-box+font {
    color: #3468f5;
}

.form_content .item .newCheckbox label input:checked+.img-box {
    border-color: #3468f5;
}

.checkbox-wrap label {
    white-space: nowrap;
    margin: 8px 15px 8px 0;
    display: inline-block;
}

/*radio/checkbox end*/

/*文件上传框*/
.form_content .item .button {
    background: #f1f1f1;
    border: 1px solid #e6e6e6;
    color: #666;
    cursor: pointer;
    height: 38px;
    line-height: 38px;
    padding: 0 10px;
    text-align: center;
    box-sizing: border-box;
    position: relative;
    /*position:relative;*/
    border-radius: 0 3px 3px 0;
    display: inline-block;
    flex: 1;
    white-space: nowrap;
}

.form_content .item .button.file-single {
    border-radius: 3px;
    width: auto;
}

.form_content .item .button .iconfont {
    font-size: 14px;
    margin-right: 4px;
}

.form_content .item .button:hover {
    background: #e9e9e9;
}

.form_content .upload-derict {
    opacity: 0;
    filter: alpha(opacity=0);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    cursor: pointer;
    font-size: 0;
}

.form_content .item .item-upload-box input[type='text'] {
    border-radius: 3px 0 0 3px;
}

/*modal提示框*/
.dialog .form_content {
    text-align: center;
    font-size: 13px;
    padding: 5px 0;
}

.dialog .form_control a {
    background: #3468f5;
    border-color: #3468f5;
}

.dialog .form_control a:hover {
    background: #1651f1;
    opacity: 1;
    color: #fff;
}

.dialog .form_control .close:hover {
    background: #3468f5;
    opacity: 1;
    color: #fff;
}

/*导入*/
.import_overlay .padding-data {
    overflow: auto;
    width: 100%;
    max-height: calc(100vh - 500px);
}

.import_overlay .padding-data td,
.import_overlay .padding-data th {
    text-align: left;
    padding: 8px 5px;
}

.import_overlay .padding-data th {
    white-space: nowrap;
}

.import_overlay .padding-data table {
    border-top: 1px solid #f1f1f1;
    border-right: 1px solid #f1f1f1;
}

.import_overlay .status-td {
    width: 50px !important;
    color: #bababa;
}

.import_overlay td .error {
    display: none;
    font-size: 14px;
    position: relative;
}

.import_overlay .success .success {
    display: block;
    color: #49c349;
}

.import_overlay .error .success {
    display: none;
}

.import_overlay .error .error {
    display: block;
    color: #f27777;
}

.import_overlay .error-tip {
    position: fixed;
    margin-left: 6px;
    background: #fff;
    color: #333;
    border: 1px solid #f1f1f1;
    padding: 6px 15px;
    border-radius: 5px;
    z-index: 1;
    display: none;
}

.import_overlay .error-tip:after {
    content: "";
    position: absolute;
    border-bottom: 8px solid #fff;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    top: -7px;
    left: 10px;
}

.import_overlay .error-tip:before {
    content: "";
    position: absolute;
    border-bottom: 8px solid #f1f1f1;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    left: 10px;
    top: -9px;
}

.import_overlay .error:hover .error-tip {
    display: block;
}

/*拖动上传*/
.import_overlay .drag-box {
    width: 380px;
    float: left;
    position: relative;
    border: 2px dashed #999;
    border-radius: 6px;
    padding: 20px 20px 20px 100px;
    box-sizing: border-box;
    cursor: pointer;
}

.import_overlay .drag-box:hover,
.import_overlay .drag-box.on-drop {
    border-color: #0a6ac3;
}

.import_overlay .drag-box .iconfont {
    font-size: 50px;
    color: #999;
    position: absolute;
    left: 30px;
    top: 50%;
    margin-top: -25px;
}

.import_overlay .drag-box .desc {
    line-height: 1;
}

.import_overlay .drag-box .gray {
    line-height: 1;
    color: #999;
    margin-top: 10px;
    word-break: break-all;
}

.import_overlay .drag-box:hover .desc,
.import_overlay .drag-box:hover .gray,
.import_overlay .drag-box:hover .iconfont,
.import_overlay .drag-box.on-drop .desc,
.import_overlay .drag-box.on-drop .gray,
.import_overlay .drag-box.on-drop .iconfont {
    color: #1890ff;
}

.import_overlay .file-name .iconfont {
    font-size: 14px;
    margin-left: 10px;
    cursor: pointer;
}

.import_overlay .file-name .iconfont:hover {
    color: #ff0000;
}

@media screen and (max-width:640px) {

    .form_panel {
        min-width: auto;
        box-sizing: border-box;
        padding: 0 4vw 4vw;
        margin: 0 !important;
        left: 0;
        bottom: 0;
        top: auto;
        width: 100%;
        max-height: 80vh;
        overflow-x: hidden;
        overflow-y: auto;
        border-top-left-radius: 4vw;
        border-top-right-radius: 4vw;
        border-bottom-left-radius: 0 !important;
        border-bottom-right-radius: 0 !important;
    }

    .form_content {
        padding: 4vw 0;
        margin-top: 30px;
    }

    .form_content .label {
        width: 100%;
        box-sizing: border-box;
        float: none;
        line-height: 1.8em;
        padding: 0;
        font-size: 3.6vw;
    }

    .form_content .item {
        margin-bottom: 3vw;
    }

    .form_content .item input[type="text"],
    .form_content .item input[type="password"],
    .form_content .item input[type="number"] {
        width: 100%;
        font-size: 3.6vw;
        height: 10vw;
        line-height: 10vw;
        padding: 0 2vw;
    }

    .form_content .txt-tip {
        padding-left: 0;
    }

    .form_control {
        padding: 0;
        text-align: center;
        height: auto;
    }

    .form_control a {
        float: none;
        display: inline-block;
        margin: 0 3vw;
        padding: 0 3vw;
        min-width: 20vw;
        height: 10vw;
        line-height: 10vw;
    }

    .form_content .divLabel {
        line-height: 1.2em;
        margin-left: 0;
        text-indent: 2em;
        margin-right: 0;
    }

    .form_content .item .button {
        width: 28vw;
        height: 10vw;
        line-height: 10vw;
    }

    .form_content .item .item-box {
        display: flex;
        margin-top: 1vw;
    }

    .form_panel.editor,
    .form_panel.large {
        width: 100%;
    }

    .overlay-close {
        top: 0;
    }

    /*.form_title {*/
    /*    box-shadow: 0 5px 8px -7px rgba(0, 0, 0, 0.15);*/
    /*}*/

    .form_content .k-container {
        float: none;
    }

    .form_panel.dialog {
        left: 50%;
        top: 50%;
        bottom: auto;
        border-radius: 10px !important;
        width: 90%;
        transform: translate(-50%, -60%);
        min-width: 0;
        padding-bottom: 30px;
    }

    .dialog .form_content {
        margin-top: 0;
    }
}